# site-logos
A collection of logos for porn studios and networks. WIP!
Please tag @Trizkat#5181 on Discord after you've made a PR.

**[List of all included sites](SITES.md)**

## Conventions
The preferred target format for logos is a PNG file with a resolution of 1000px or the highest available, ideally trimmed to its contents. SVGs should be considered additional assets.

* All words in a site or network name must be split up using a dash (`-`), even if the site or network itself connects the words
* Modifiers are suffixed using an underscore (`_`)
* Common compound words such as 'gangbang', 'gloryhole' or 'hardcore' are not necessarily split up

### Definitions
`{}` are variables, to be written without curly brackets.

* `/{network-name}.png`: Primary logo for a network that does not have any sites, or a site that does belong to a network, and does not have any favicons or additional assets
* `/{network-name}/{network-name}.png`: Primary logo for network, original or edited
* `/{network-name}/{site-name}.png`: Primary logo for site, original or edited
* `/{network-name}/{favicon}.png`: Primary network favicon

* `/{network-name}/{network-name}_{modifier}.png`: Production ready variant of the network logo
* `/{network-name}/{site-name}_{modifier}.png`: Production ready variant of a site logo
* `/{network-name}/{site-name}_{modifierA}_{modifierB}.png`: Production ready variant of a site logo, with two different modifications
* `/{network-name}/{site-name}_no_{modifier}.png`: Negated modifier

* `/{network-name}/README.md`: Notes about logos and other assets for this network and its sites
* `/{network-name}/misc/`: Additional assets, such as alternative versions, original vector images, and reference files that are not production-ready

### Modifiers
* `_original`: Original unedited logo, used when the primary logo was edited. Suggested to be placed in `/network-name/misc/`
* `_dark`: Darkened to improve visibility on a light background
* `_light`: Lightened to improve visibility on a dark background
* `_basic`: Backgrounds, top level domains (.com, .net), slogans and other arbitrary details were removed
* `_alt` : Alternative logo
* `_url`: Logo with .com, .net or other URL components
* `_slogan`: Logo with slogan
* `_square`: Rearranged to fit a square-ish frame
* `_wide`: Rearranged to fit a wide frame
* `_no_{mod}`: Negates another modifier, e.g. `_no_url` (without URL)

### Examples:
`/ddf-network/ddf-network.png`: Original primary network logo for DDF Network
`/ddf-network/ddf-network_dark.png`: Darkened network logo for DDF Network, for light backgrounds
`/jules-jordan/misc/the-ass-factory_original.png`: A copy of the original full-sized site logo for The Ass Factory on Jules Jordan, as the primary logo is cropped for readability

